Photon Voice (V1) Error in script

Photon Voice Ver.1.16


While importing Photon Voice in unity some scripts throwing error, scripts names are -
  1. PhotonVoiceNetwork.cs
  2. DelayProcessor.cs
  3. photonVoiceRecorder.cs

Cause of Error:

Namespace'' contains a definition conflicting with alias 'Voice'

using Voice = ExitGames.Client.Photon.Voice;

In above line they used Voice which is a predefined type so that variable causing the error.

Fix:

using Voice = ExitGames.Client.Photon.Voice;

using Voice1 = ExitGames.Client.Photon.Voice;

Here i changed Voice to Voice1 so now its not a type.
You need to change that variable wherever it has been used.

Thank You.

Comments

  • Hi @mesus,

    Thank you for choosing Photon and for reporting this!

    What Unity version is this?
    I think something went wrong during the import.
    Please try again in a fresh clean project.
  • Hai @JohnTube ,

    I'm using Unity 2018.2.13f1, i tried with reimport no use and in new fresh clean project aslo same error appeared.
  • Hi @mesus,

    This is the first time we get such report especially knowing that Photon Voice 1.16 is out since July.
    If you can switch to Photon Voice 2 then I recommend that because Photon Voice 2 is the new updated version.

    But we also want to investigate the issue you are having:

    - did you import another asset in the new clean fresh empty project or just Photon Voice 1?
    - could you try finding out the other alias or namespace clashing with Photon Voice one? what is the exact error? maybe hover over the error in Visual Studio and take a screenshot with the possible values...try using Voice in the code to see where it leads you (e.g. F12, go to definition)
  • Hi @JohnTube ,

    Sorry i made a mistake i imported another plugin with that project, it caused the error. Now it's working.

    For Photon Voice 2 there is lack of tutorials and reference, that's why now i'm working on Photon Voice 1.

    Thank for your reply it's helped me a lot.